> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hookstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update application

Update an application's name, description, metadata, status, or rate limit.

` PATCH /applications/{id} `

Update application

Update an application's name, description, metadata, status, or rate limit.

## Servers

- ` https://hookstream.io/v1 ` — Production

## Authentication

The operation accepts these alternatives. Schemes within one alternative are required together.

### Alternative 1

- ` apiKey `: ` apiKey `

  - Credential: ` X-API-Key ` in ` header `

  - API key (format: hs_live_<64hex> or hs_test_<64hex>)

### Alternative 2

- ` cookieAuth `: ` apiKey `

  - Credential: ` better-auth.session_token ` in ` cookie `

  - Session cookie (browser auth)

## Parameters

### ` id ` (path, required)

Resource ID (32-char hex)

- ` value `: type ` string ` — Resource ID (32-char hex)

  - example: ` "a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6" `

  - minLength: ` 1 `

Example:

```json
"a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6"
```

## Request body (required)

Content type: ` application/json `

Request body

- ` value `: type ` object `

  - ` name `: type ` string ` — Updated name

  - ` description `: type ` string ` — Updated description

  - ` metadata `: type ` object ` — Updated metadata

  - ` status `: type ` string ` — Status: active or disabled

  - ` rate_limit `: type ` number `; nullable — Updated rate limit

## Responses

### ` 200 ` — Updated application

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` application `

  - ` application `: type ` unknown `

    - ` allOf constraint 1 `: type ` object `

      - Required fields: ` id `, ` org_id `, ` env_id `, ` name `, ` uid `, ` description `, ` metadata `, ` status `, ` rate_limit `, ` created_at `, ` updated_at `

      - ` id `: type ` string `

      - ` org_id `: type ` string `

      - ` env_id `: type ` string `

      - ` name `: type ` string `

      - ` uid `: type ` string `

      - ` description `: type ` string `; nullable

      - ` metadata `: type ` string `; nullable

      - ` status `: type ` string `

      - ` rate_limit `: type ` integer `; nullable

      - ` created_at `: type ` string `

      - ` updated_at `: type ` string `

      - ` endpoint_count `: type ` integer `

      - ` message_count `: type ` integer `

    - ` allOf constraint 2 `: type ` unknown `; nullable

### ` 400 ` — No fields to update

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` error `

  - ` error `: type ` string ` — Error message

### ` 401 ` — Unauthorized

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` error `

  - ` error `: type ` string ` — Error message

## Request examples

### cURL

```curl
curl -X PATCH 'https://hookstream.io/v1/applications/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "description": "string",
  "metadata": {},
  "status": "string",
  "rate_limit": 0
}'
```

### JavaScript

```javascript
const response = await fetch('https://hookstream.io/v1/applications/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6', {
  method: 'PATCH',
  headers: {
      "Authorization": "Bearer YOUR_API_TOKEN",
      "Content-Type": "application/json"
  },
  body: JSON.stringify({
    "name": "string",
    "description": "string",
    "metadata": {},
    "status": "string",
    "rate_limit": 0
  })
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN'
}

response = requests.patch('https://hookstream.io/v1/applications/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6', headers=headers, json={
  "name": "string",
  "description": "string",
  "metadata": {},
  "status": "string",
  "rate_limit": 0
})
print(response.json())
```

### Go

```go
package main

import (
	"fmt"
	"io"
	"net/http"
	"strings"
)

func main() {
	body := strings.NewReader(`{
  "name": "string",
  "description": "string",
  "metadata": {},
  "status": "string",
  "rate_limit": 0
}`)
	req, _ := http.NewRequest("PATCH", "https://hookstream.io/v1/applications/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6", body)
	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
	req.Header.Set("Content-Type", "application/json")

	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
	result, _ := io.ReadAll(resp.Body)
	fmt.Println(string(result))
}
```